/* STATUS: OK */
#include <p33FJ64MC802.h>
#include <stdio.h>
#include <timer.h>


//config oscillateur
_FOSCSEL(FNOSC_PRIPLL);								// Choix du oscillateur + PLL
_FOSC(FCKSM_CSDCMD & OSCIOFNC_OFF  & POSCMD_XT);	// Pas de basculement d'horloge
													// pas de OSC2
													// type d'oscillateur XT
_FWDT(FWDTEN_OFF); // watchdog off;





void InitClock2() 
{   // CHOIX DES COEF DE LA PLL : voir notice OSCILLATOT
	// FOSC = FIN •(M/(N1*N2))  et Fcy=Fosc/2 = fréquence de fct des périphriques
	// ex: quartz 10Mhz et Fosc=80Mhz => Fosc=10M*(32/4)
	PLLFBD = 30;				// M = 32        
	CLKDIVbits.PLLPOST = 0;		// N1 = 2
	CLKDIVbits.PLLPRE = 0;		// N2 = 2
	OSCTUN = 0;
	RCONbits.SWDTEN = 0;

	while(OSCCONbits.LOCK != 1) {}; // attente verrouillage PLL
}



int main (void)
{
	InitClock2() ; // config PLL
	TRISBbits.TRISB0=0; // RB0/AN2 en sortie
	AD1PCFGLbits.PCFG2=1; // RB0/AN2 en digital
	for (;;)
		PORTBbits.RB0=!PORTBbits.RB0; // mesure 1.33Mhz en sortie de RB2


}
